C++14: use nullptr
Status: Closed Start date: 18 Mar 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 4.44 hours

Target version: CoCoALib-0.99650 November 2019 Spent time: 4.60 hours

Description

From C++11 there is the constant nullptr for the null pointer.

Update our (C++) code to use it!

Related issues:

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 18 Mar 2019 11:29 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#2 - 18 Mar 2019 18:53 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

I have done the header files.  There may still be one or zeroes which escaped me (but I hope not).  Next are the .C files...

#3 - 19 Mar 2019 12:12 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

- Estimated time set to 2.70 h

I have now updated the .C files too.  Everything compiles and runs.

It is possible that I have missed some 0 (that was not already commented as a "nullptr"), but I think I have changed almost all of them if not all.

#4 - 14 Oct 2019 16:07 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#5 - 14 Oct 2019 19:31 - John Abbott

Ha ha!  I did not change "nearly" all 0s into nullptr that need to be changed.

I've just changed many more... it is an awful thankless task.

Probably a few have still escaped... but I don't care!

Will CVS in a while.

#6 - 15 Oct 2019 14:09 - John Abbott

- Status changed from Feedback to Closed

29 Apr 2024 1/2



- % Done changed from 90 to 100

- Estimated time changed from 2.70 h to 4.44 h

All tests pass, examples too.  Even with debugging active.

Checked-in.

Closing.  It is not worth devoting any more time to this (unless there is some fast automatic tool for detecting when 0 is used as nullptr).

I was surprised to find a few places where 0 was used as false (and 1 as true).
